On 16/10/16 16:43, Jérémy Lal wrote:
> Hi,
> can anyone help me understand if this error message comes from
> the nodejs package being built, or from the toolchain ?
> See the logs at
> https://buildd.debian.org/status/fetch.php?pkg=nodejs&arch=mipsel&ver=6.8.1~dfsg-1&stamp=1476561178

I thought this seemed familiar...

You simply cannot link mips3 (which nodejs is using) code with mips32r2
code (which everything else is using). For a start, mips3 is 64-bit ISA
and code using it may contain 64-bit instructions which will SIGILL on
real 32-bit processors.

I think you should pass --with-mips-arch-variant=r2 instead of loongson.
This already appears to be the case in unstable, but not in experimental.


Attachment: signature.asc
Description: OpenPGP digital signature

Reply via email to